import request from '@/utils/request'

export function addOrUpdateFileUploadRecord(params) {
  return request({
    url: `/FileUploadRecord/addOrUpdateFileUploadRecord`,
    method: 'post',
    data: params
  })
}

export function batchAddSyncFileTask(params) {
  return request({
    url: `/FileUploadRecord/batchAddSyncFileTask`,
    method: 'post',
    data: params
  })
}

export function getSubjectUploadRecordList(params) {
  return request({
    url: `/FileUploadRecord/getSubjectUploadRecordList`,
    method: 'post',
    data: params
  })
}

export function getFileUploadRecordList(params) {
  return request({
    url: `/FileUploadRecord/getFileUploadRecordList`,
    method: 'post',
    data: params
  })
}

export function getUploadFileSyncRecordList(params) {
  return request({
    url: `/FileUploadRecord/getUploadFileSyncRecordList`,
    method: 'post',
    data: params
  })
}
